<template>
  <pn-page-template>
    <template #title>
      {{$t('login__register_title')}}
    </template>
    <account-helper :type :email/>
  </pn-page-template>
</template>

<script setup lang="ts">
  import { onMounted, ref } from 'vue'
  import accountHelper from 'components/accountHelper.vue'

  const type = 'register'
  const email = ref('')

  onMounted(() => {
    email.value = sessionStorage.getItem('pendingLogin') ?? ''
    sessionStorage.removeItem('pendingLogin')
  })
  
</script>
